Package Details: archmage 0.3.1-1

Git Clone URL: (read-only)
Package Base: archmage
Description: An extensible reader and decompiler for files in the CHM format
Upstream URL:
Licenses: GPL
Submitter: abstracity
Maintainer: Dragonlord
Last Packager: Dragonlord
Votes: 44
Popularity: 0.459563
First Submitted: 2007-12-02 04:35
Last Updated: 2016-02-12 11:17

Dependencies (8)

Required by (0)

Sources (1)

Latest Comments

Tilka commented on 2016-12-10 11:39

Fails with this error:

Traceback (most recent call last):
File "/usr/bin/archmage", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python2.7/site-packages/pkg_resources/", line 3015, in <module>
File "/usr/lib/python2.7/site-packages/pkg_resources/", line 2999, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python2.7/site-packages/pkg_resources/", line 3028, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python2.7/site-packages/pkg_resources/", line 655, in _build_master
File "/usr/lib/python2.7/site-packages/pkg_resources/", line 963, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python2.7/site-packages/pkg_resources/", line 849, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'BeautifulSoup' distribution was not found and is required by archmage

philomath commented on 2012-03-17 20:10

**Please** depend on python2-pychm instead of python-pychm. I'm doing "pacman -Syu --ignore python-pychm" the last two weeks or so.

xyproto commented on 2012-03-05 14:28

Hi. Please depend on python2-pychm instead of python-pychm. It has been renamed in [community].

allencch commented on 2012-01-18 04:50

I have the problem when extracting chm file,
Traceback (most recent call last):
File "/usr/bin/archmage", line 169, in <module>
File "/usr/bin/archmage", line 152, in main
CHMFile(options.chmfile) or CHMDir(options.chmfile)
File "/usr/lib/python2.7/site-packages/archmod/", line 43, in __init__
topicstree = self.get_entry(self.topics)
File "/usr/lib/python2.7/site-packages/archmod/", line 27, in __getattribute__
self.cache[name] = self._getitem(name)
File "/usr/lib/python2.7/site-packages/archmod/", line 304, in _getitem
return super(CHMFile, self)._getitem(name)
File "/usr/lib/python2.7/site-packages/archmod/", line 157, in _getitem
raise AttributeError(name)
AttributeError: topics
May I know how to solve?

Francois_B commented on 2010-11-21 22:02

For that, it is quite simple.
* Add python2 in deps
* use python2 instead python to install the software.

Hador commented on 2010-11-20 17:42

PKGBUILD should be updated for the python rebuild